Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 1.7.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.je
Class TransactionStats

    java.lang.Object
      com.sleepycat.je.TransactionStats

public class TransactionStats
extends Object

Transaction statistics for a database environment.

Nested Class Summary
`class` | `TransactionStats.Active` The Active class represents an active transaction.

Method Summary
`TransactionStats.Active[]` | `getActiveTxns()` Return the array of active transactions.
`long` | `getLastCheckpointTime()` The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time interface).
`long` | `getLastTxnId()` The last transaction ID allocated.
`int` | `getNAborts()` The number of transactions that have aborted.
`int` | `getNActive()` The number of transactions that are currently active.
`int` | `getNBegins()` The number of transactions that have begun.
`int` | `getNCommits()` The number of transactions that have committed.
`String` | `toString()` For convenience, the TransactionStats class has a toString method that lists all the data fields.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  For convenience, the TransactionStats class has a toString method that lists all the data fields.

### getActiveTxns

    public TransactionStats.Active[] getActiveTxns()

  Return the array of active transactions.

  Returns:
    The array of active transactions.

### getLastCheckpointTime

    public long getLastCheckpointTime()

  The time the last completed checkpoint finished (as the number of seconds since the Epoch, returned by the IEEE/ANSI Std 1003.1 (POSIX) time interface).

### getLastTxnId

    public long getLastTxnId()

  The last transaction ID allocated.

### getNAborts

    public int getNAborts()

  The number of transactions that have aborted.

### getNActive

    public int getNActive()

  The number of transactions that are currently active.

### getNBegins

    public int getNBegins()

  The number of transactions that have begun.

### getNCommits

    public int getNCommits()

  The number of transactions that have committed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 1.7.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.